import { CMType, EmbeddedComponent, type IVMS101, type OwnershipProof, type TransactionResponse, type V1Transaction } from '@notabene/javascript-sdk';
export interface TransactionResponseRN<V> extends TransactionResponse<V> {
    type?: CMType.COMPLETE;
    value: V;
    ivms101: IVMS101;
    proof?: OwnershipProof;
    txCreate?: V1Transaction;
    txUpdate?: V1Transaction;
    deepLink: string;
}
export declare class EmbeddedComponentRN<V, O> extends EmbeddedComponent<V, O> {
    deepLink: string;
    constructor(url: string, deepLink: string, value: Partial<V>);
    openModal(): Promise<TransactionResponseRN<V>>;
}
//# sourceMappingURL=embedded-component.d.ts.map